# PCShellSetDestroy

Sets routine to use to destroy the user-provided application context.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCShellSetDestroy(PC pc,PetscErrorCode (*destroy)(void*))

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| destroy | - the application-provided destroy routine

### Calling sequence of destroy

       PetscErrorCode destroy (void *ptr)

| ptr | - the application context

### Keywords

PC, shell, set, destroy, user-provided

### See Also

PCShellSetApply(), PCShellSetContext()

Level:developer
Location: src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex31.c.html